Retrieve a security price referenced by family investment data
curl --request GET \
--url https://app.sure.am/api/v1/security_prices/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/security_prices/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/security_prices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"price": "<string>",
"price_amount": "<string>",
"currency": "<string>",
"provisional": true,
"security": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticker": "<string>",
"name": "<string>",
"exchange_operating_mic": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}Security Prices
Retrieve a security price referenced by family investment data
GET
/
api
/
v1
/
security_prices
/
{id}
Retrieve a security price referenced by family investment data
Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
Security price ID
Response
security price retrieved
Formatted security price
Exact decimal security price
Show child attributes
Show child attributes
Was this page helpful?
⌘I